declare type OnToggle = (active?: boolean) => Promise<void> | void;
declare type AnyButton = HTMLBceButtonElement | HTMLButtonElement;
export declare class MenuControl {
    #private;
    private handleClickDocument;
    private handleClickTrigger;
    private handleClickItem;
    private handleKeyDownTrigger;
    private handleKeyDownItem;
    private get selectedIndex();
    constructor(parent: HTMLElement, trigger: AnyButton, onToggle: OnToggle);
    dispose(): void;
    next(): void;
    prev(): void;
    setItems(items: HTMLBceButtonElement[]): void;
    private handleKeyDown;
    private isBceButton;
    private select;
    private toggle;
}
export {};
